import { H5 } from "../Headings";
import PreCyse from "../precyse";


export function CalTabs(){

    let tablist: JSX.Element[] = []; 
    for (let index = 0; index < tabs.length; index++) {
        tablist.push(
            <div className="cal-entry" id={tabs[index].cssname} style={{display: "none"}}>
                <div className="entry-header">
                    <H5 text={parseDateFromCode(tabs[index].cssname)}/>
                </div>
                <div className="entry-body">
                    {tabs[index].node}
                </div>
                
            </div>
        )
        
    }
    return tablist; 
}

let tabs = [
    {   
        cssname: "february27", 
        node: <><h1>Team Meeting</h1>

        <h2>Organisation</h2>
        <p>The team discussed important deadlines, including the Team Member Ticket due on April 5th, the Team Grand Jamboree Fee on July 31st, the Wiki Freeze on October 2nd, and the presentation video submission on October 9th. Deliverables were outlined, with each member assigning themselves to three subject areas, which include a village presentation (15 minutes), a judging session (30 minutes), and a team booth. Essential forms such as the project safety form, judging form, and attribution form were highlighted, along with video requirements for both presentation and promotion.</p>
        
        <h2>Public Outreach</h2>
        <p>Teams are to be established for various responsibilities, including a public outreach team with a minimum of five members focusing on social media and networking with other iGEM teams. Specific positions to fill include a deadline manager and teams for sponsoring, theme areas, and the Grand Jamboree presentations. Additional responsibilities include organizing the village booth, design team tasks, and ensuring the completion of safety, judging, and attribution forms.</p>
        	
        <h2>Jamboree & MeetUps</h2>
        <p>The team plans a trip to Paris via train, which takes approximately 6 hours and 15 minutes. Travel costs will be covered, with team members only needing to pay for meals. Suggested travel dates are from October 21st to 31st, coinciding with the iGEM Jamboree from October 23rd to 26th, with accommodation to be determined based on team preferences.</p>
        
        <h2>Links & Co</h2>
        <p>A presentation regarding iGEM guidelines will be provided by Sinan.</p>
        </>
    }, 
    {
        cssname: "february29",
        node: <><h1>Team Meeting</h1>

        <h2>Urgent</h2>
        <p>The team discussed the structure for topic identification, considering whether to start with general or specific areas. An idea was proposed to create three or more topic areas for group formation based on personal interests, with each member preparing a slide to facilitate clustering ideas. Sinan will create a presentation to be completed by Thursday, March 7th.</p>
        
        <h2>Organisation</h2>
        <p>For future communication, teams will use a dedicated platform starting March 5th, while Slack will serve for informal networking. The need for internal deadlines was emphasized, suggesting one week prior to official deadlines, and everyone is encouraged to monitor the iGEM website for updates. Possible initiatives include organizing a sticker album, newsletter, postcard campaign, and even a Mini Jamboree or Junior Jam in Bielefeld.</p>
        
        <h2>Documentation</h2>
        <p>Utilizing Zotero as a literature platform was agreed upon, with attention needed on the accuracy of citations, especially for older publications. The project description should be concise, incorporating relevant literature and engaging content for judges, with a final version due by the Wiki Freeze and a preliminary version by June 21st. Additionally, new parts must be created if unavailable in the Registry, ensuring compatibility with specific restriction enzymes.</p>
        
        <h2>Project Software</h2>
        <p>Discussion highlighted the potential relevance of project software depending on the focus, with further details available in the upcoming presentation. Awards were outlined, emphasizing that medals do not require special awards and depend on project success and human practices. The team aims for the Gold medal, which necessitates three major achievements across various categories.</p>
        
        <h2>Team</h2>
        <p>A team-building weekend was proposed, with details on pricing and a final vote to be clarified by Kathleen and Kim. The team also agreed to a bowling activity instead of the meeting on March 5th, with further information to be shared via WhatsApp.</p>
        
        <h2>Tasks</h2>
        <p>Sinan is tasked with creating a presentation to outline various topics for the team.</p>
        
        <h2>Wiki</h2>
        <p>The wiki will be essential for documenting the project and presenting research. It will include sections for contributions and must not alter iGEM links. A basic wiki will be established, with a “Cold Wednesday” planned for reviewing videos and other materials before the Wiki Freeze.</p>
        
        <h2>Links & Co</h2>
        <p>Sinan will also provide a presentation regarding iGEM guidelines.</p>
        </>
    },
    {
        cssname: "march7", 
        node: <><h1>Team Meeting</h1>

        <h2>Organisation</h2>
        <p>The team discussed the formation of subteams, emphasizing that moderation and main responsibilities are shared, rather than unilateral decision-making. A designated person will oversee all deadlines and check them two weeks in advance, with internal deadlines managed through a calendar on Microsoft Teams, which will also include birthdays. Small group brainstorming sessions aimed to generate 1-3 concrete project ideas, with summaries recorded for reference.</p>
        
        <p>For literature management, Zotero will be utilized for organizing publications into subfolders, requiring the use of DOI or ISBN for attachments. This will ensure easy access and prevent duplicate entries. Microsoft Teams will be set up for communication, transferring information from Notion to facilitate calendar management, chat, and document uploads.</p>
        
        <h2>Team</h2>
        <p>The bowling event was a success, and photos were taken for potential inclusion in a "Photo Book." There is a suggestion to make this a monthly team event, with an upcoming excursion where the team will vote between The Hague or Hamburg, coordinated by Kim and Kathleen.</p>
        
        <h2>Jamboree & MeetUps</h2>
        <p>The team identified members responsible for planning the Paris excursion and discussed preparing a detailed document covering accommodation and train travel. Emphasis was placed on maintaining team dynamics during this planning phase.</p>
        
        <h2>Public Outreach</h2>
        <p>The public outreach team, consisting of Lydia, Asal, Philip, Kaya, and Vera, will focus on social media and networking initiatives. They are planning activities such as postcard and sticker campaigns and aim to organize a Mini Jamboree involving approximately 25 teams from across Europe, along with contributions to local radio/newspaper efforts.</p>
        
        <h2>Sponsoring</h2>
        <p>The sponsoring team, made up of Vincent, Lydia, Anna, Nane, Dayan, and Isabell, will develop an application booklet outlining what iGEM entails for potential sponsors. Their tasks include negotiating contract terms and pricing categories, with an emphasis on starting to contact sponsors immediately.</p>
        </>
    }, 
    {
        cssname: "march12", 
        node: <><h1>Team Meeting</h1>

        <h2>Organisation</h2>
        <p>Brainstorming will continue in the same groups, with each group selecting two topics to present at the next meeting. Anyone without access to the meeting room should email Lutz Wobbe, with Jörn copied, for assistance. Device borrowing cards have been distributed, granting access to the Digital Learning Lab, and requests to use facilities like the 3D printer should be sent via email.</p>
        
        <h2>Team</h2>
        <p>The team is planning a weekend in The Hague, focusing on workshop content and the possibility of hosting a workshop themselves. Coordination with the Leiden and Delft teams for a meet-up and a visit to the research center is underway, with discussions needed on participant numbers, including supervisors and PIs. Additionally, a meme channel will be created to share lab-related humor.</p>
        
        <h2>Jamboree & MeetUps</h2>
        <p>A poll will be distributed to assess the feasibility of the planned trip to Paris from October 21 to October 31, asking for participation in the full trip or part of it. The suitability of Bielefeld for a meet-up will be evaluated, with assistance from the Hamburg/Frankfurt teams for program and speaker organization. Jörn has contacts for potential speakers, and the meet-up plan is in development, pending official approval.</p>
        
        <h2>Tasks</h2>
        <p>All meeting minutes will be merged into a single Word document for clarity. A team of at least three (Christian, Nane, and Lisa) is tasked with setting up the Attribution Form to document contributions and deliverables. All members are encouraged to monitor the calendar created by Kai and add any important dates and deadlines.</p>
        
        <h2>Public Outreach</h2>
        <p>A tour of the Making Media Lab is scheduled for Thursday, March 14, at 17:30, with potential collaboration with the Hamburg and Frankfurt teams for a rotating-location meet-up. A vote will be held regarding the organization of this year's meet-up in Bielefeld, and a professional team photo is planned, with consent already obtained from all present members.</p>
        
        <h2>Sponsoring</h2>
        <p>Upcoming events include the LabSupply Fair on April 24 and FameLab, with preliminary rounds on April 11 and the finals on June 12 in Bielefeld. The JuniorJam in Münster is highlighted as a "mandatory event" from August 16 to 18, and planning for attendance and organization is needed. The sponsoring team will meet twice a week as planning is just beginning.</p>
        
        <h2>Wiki</h2>
        <p>Maximilian emphasized the need for experience with HTML, CSS, and JavaScript for building the Wiki page, and he will organize an introductory course to ensure everyone learns the basics before the Wiki Freeze. He will also configure software for error detection and autocomplete functionality, and will address the time delay for Wiki updates. Inspiration can be drawn from previous Wiki designs, with a goal to enhance competitiveness in the iGEM contest.</p>
        </>
    },
    {
        cssname: "march14", 
        node: <><h1>Team Meeting</h1>

        <h2>Organisation</h2>
        <p>The team brainstormed various topics for potential projects, including Cystic Fibrosis, Duchenne Muscular Dystrophy, Rapid Antigen Test, Huntington’s Disease, Phage Therapy for the Gut, Magnetic Microswimmers, and Toxic Cyanobacterial Blooms. Each team will prepare a brief introduction of their assigned topic, with guidelines for a 10-15 minute presentation covering the problem, proposed solution, existing studies, and project challenges. The goal is to complete the project outline by March 21, 2024, incorporating university resources and outlining possible subprojects.</p>
        
        <h2>Team</h2>
        <p>The availability of lab coats was confirmed for a uniform team photo, ensuring everyone is prepared for the occasion.</p>
        
        <h2>Jamboree & MeetUps</h2>
        <p>The planning for the Paris trip is underway, with the team narrowing down accommodation options. Three to four hotel choices will be presented in the upcoming meeting on Tuesday.</p>
        </>
    },
    {
        cssname: "march19", 
        node: <><h1>Team Meeting</h1>

        <h2>Organisation</h2>
        <p>The team discussed the implementation of a protocol structure, emphasizing the need for an agenda to be introduced ahead of time. Participants can add topics to be discussed in the upcoming meetings directly in the minutes. Additionally, topic presentations are scheduled for March 26, aiming to follow the iGEM presentation style to effectively pitch ideas and practice for future presentations.</p>
        
        <h2>Jamboree & MeetUps</h2>
        <p>Kathleen presented four accommodation options for the Paris trip, which have been uploaded to Teams for review. Options range from self-catering apartments to a hostel, each varying in cost, atmosphere, and proximity to the event venue. A poll for accommodation preferences will close on March 21, 2024, at 6 p.m. on WhatsApp, after which additional booking details will be provided.</p>
        
        <h2>Sponsoring</h2>
        <p>The team is coordinating attendance and organization for the Lab-Supply Fair and other related events. This internal coordination aims to ensure effective participation among interested members.</p>
        </>
    },
    {
        cssname: "march21", 
        node: <><h1>Team Meeting</h1>

        <h2>Team</h2>
        <p>The Hamburg iGEM team is scheduled for a retreat but is expected to have time available for a meet-up on Friday.</p>
        
        <h2>Jamboree & MeetUps</h2>
        <p>During the meeting, the team confirmed that the Aparthotel was the preferred accommodation option for the Paris trip. However, there are challenges with booking, as accommodations cannot be reserved via Booking.com, and the individual booking sites show insufficient availability.</p>
        </>
    },
    {
        cssname: "march27", 
        node: <><h1>Team Meeting</h1>

        <h2>Organisation</h2>
        <h3>First Presentation: Red Biotechnology - Duchenne Muscular Dystrophy</h3>
        <p>Duchenne muscular dystrophy is a genetic disease characterized by muscle tissue replacement. Several cure approaches were discussed, including exon skipping and using AAV vectors, but current treatments are limited. Questions raised included the integration of long DNA into cells and potential community engagement strategies.</p>
        
        <h3>Second Presentation: Magnetic Microswimmers for Targeted Cancer Therapy</h3>
        <p>This presentation focused on using biodegradable algae as carriers for non-invasive drug delivery targeting ovarian cancer. The method involves magnetizing microswimmers to enhance mobility and deliver drugs to cancer cells, ensuring minimal damage to healthy tissue. Questions included concerns about biodegradability with magnetic particles and the challenges of targeting specific areas.</p>
        
        <h3>Third Presentation: Cyanobacteria Bloom Prevention with Algae</h3>
        <p>Cyanobacteria blooms pose significant ecological threats, and current control methods are inadequate. The proposed solution involves using peptides from algae to prevent blooms while preserving ecosystems. Key pathways and targets were identified, emphasizing the need for conservation and biodiversity.</p>
        
        <h3>Fourth Presentation: Cystic Fibrosis</h3>
        <p>Cystic fibrosis affects a significant number of individuals and is diagnosed through sweat tests and genetic screening. Current treatments focus on managing symptoms, but the goal is to develop long-term cures by targeting the genetic basis of the disorder. The team is collaborating with various specialists and organizations to develop educational materials and optimize treatment strategies.</p>
        
        <h3>Further Presentations</h3>
        <p>Discussions included the potential of phages as an alternative to antibiotics and future presentations on related topics.</p>
        </>
    },
    {
        cssname: "march29", 
        node: <><h1>Team Meeting</h1>

        <h2>Organisation</h2>
        <h3>Vote for Topic</h3>
        <p>Each member was allowed one vote for a project topic, with the first vote due by midnight. The top three results were: Microswimmers with 5 votes, Duchenne Muscular Dystrophy (DMD) with 4 votes, and Cystic Fibrosis (CF) also with 4 votes.</p>
        
        <h3>Topic Presentations</h3>
        <p>The presentations were generally well-received, though improvements are still needed. A seminar will provide a brief overview and discuss limitations, challenges, and the pros and cons of each topic, with more details available in the presentations and meeting minutes from March 26.</p>
        
        <h2>Team</h2>
        <p>A reminder for the Hamburg team: Don't forget your towel!</p>
        </>
    },
    {
        cssname: "april2", 
        node: <><h1>Team Meeting</h1>

        <h2>Organisation</h2>
        <h3>Vote for Topic</h3>
        <p>Each member has one vote for a project topic, with the first vote due by midnight. The top three results from the voting were: Microswimmers with 5 votes, Duchenne Muscular Dystrophy (DMD) with 4 votes, and Cystic Fibrosis (CF) also with 4 votes.</p>
        
        <h3>Topic Presentations</h3>
        <p>The presentations were generally well-received, though there is still room for improvement. A presentation seminar is planned to provide an overview and facilitate discussions on the limitations, challenges, and pros and cons of each topic, with more details available in the meeting minutes from March 26.</p>
        
        <h2>Team</h2>
        <p>Reminder for the Hamburg team: Don’t forget your towel!</p>
        
        </>
    },
    {
        cssname: "april4", 
        node: <><h1>Team Meeting</h1>

        <h2>Urgent</h2>
        <p>The team has decided to pursue a therapy topic instead of focusing on cyanobacteria. Among the options, Cystic Fibrosis (CF) was selected over Duchenne Muscular Dystrophy (DMD).</p>
        
        <h2>Team</h2>
        <p>A reminder for the Hamburg trip: Departure is scheduled for Friday at 8 AM.</p>
        
        <h2>Tasks</h2>
        <p>All members are required to save the papers they have read in Zotero during their self-study time.</p>
        </>
    },
    {
        cssname: "april6", 
        node: <><h1>Team Meeting</h1>

        <h2>Organisation</h2>
        <p>The team is tasked with searching PubMed for reviews on Cystic Fibrosis (CF) from the last two years to identify unexplored therapeutic niches and formulate clear goals. A systemic approach using AAV-based strategies and organ-specific approaches is being considered. Additionally, strategies for reading papers include starting with the results section to determine their value before delving into the discussion.</p>
        <p>Project concept ideas discussed include epigenome editing with a modular toolkit and the application of smaller Cas variants to enhance delivery and facilitate nuclear entry.</p>
        
        <h2>Public Outreach</h2>
        <p>A screening event for the movie "Five Feet Apart," which focuses on Cystic Fibrosis, will be organized, along with providing additional information to the audience. Phillip will coordinate with the university cinema to arrange the event.</p>
        <p>The team is encouraged to participate in MUKOmove, a Cystic Fibrosis awareness initiative in May, involving a sport event. Isabell will register the team, and promotional activities on social media, including a unique hashtag, will be implemented to increase awareness and participation.</p>
        
        <h2>Wet Lab</h2>
        <p>Sub-teams are expected to provide updates every 3-4 weeks regarding cell acquisition for the project, with a focus on obtaining healthy and patient-derived cell lines. Vera confirmed that with a safety form, the use of their own cells is possible. Preparations for the new lab include assessing equipment and creating a staffing plan to ensure daily coverage.</p>
        <p>Effective communication and organization are emphasized for lab work, with plans to establish a shift schedule for team members.</p>
        
        <h2>Creativity</h2>
        <p>The team members assigned to promotional tasks include Philip, Michael, Vera, Lisa, Liliana, Isabell, and Asal. They will focus on developing promotional materials, including flyers and logo design, to enhance team visibility.</p>
        </>
    },
    {
        cssname: "april11", 
        node: <><h1>Team Meeting</h1>

        <h2>Organisation</h2>
        <p>The team discussed various project ideas related to access to oocytes, emphasizing gene correction and potential strategies such as using transposase for genomic integration without cutting. Key considerations include exploring lipid nanoparticles (LNPs) for lung delivery and addressing the packaging limitations of AAV. The team aims to read more about CRISPR and relevant literature, and possibly consult a genetic counseling center for guidance on intervention strategies.</p>
        <p>A proof of concept experiment is essential to validate the proposed ideas, including the potential use of a multi-organ chip in collaboration with a research entity.</p>
        
        <h2>Human Practices</h2>
        <p>Max shared insights about essential medications for Cystic Fibrosis (CF), including individualized treatments like Kreon and Orkambi. Kreon aids digestion and is adapted based on fat content in meals, while Orkambi is a significant medication specific to certain mutations, although it comes with a high cost. The discussion highlighted the importance of diagnosis age and targeted treatments, and suggested creating informational materials for healthcare professionals.</p>
        
        <h2>Creativity</h2>
        <p>The team reviewed the presentation of the color scheme and discussed team photos as part of their promotional efforts.</p>
        </>
    },
    {
        cssname: "april16", 
        node: <><h1>Team Meeting</h1>

        <h2>Jamboree & MeetUps</h2>
        <p>The BFH Meet-Up website is now live, featuring details on the location, program, registration, and pricing. Registration is currently open, and all team members are encouraged to support the Instagram channel.</p>
        
        <h2>Mechanism</h2>
        <p>The team is focusing on Prime Editing as the main idea, but further details need to be developed to refine this approach.</p>
        
        <h2>Delivery</h2>
        <p>Various delivery methods were brainstormed, including lipid nanoparticles (LNPs), which are considered a viable option, although they require more elaboration. Adeno-Associated Virus (AAV) delivery has more available literature, especially for oocytes, but remains underexplored. Enucleated sperm cells were also discussed as a non-invasive approach, with potential for targeting oocytes.</p>
        
        <h2>Public Outreach</h2>
        <p>For MukoMOVE, posters have been prepared and photos taken; Isabell is applying for permission to display the posters in the city for a fee of €12, while additional posters will be ordered. However, hanging posters in trains was deemed too expensive.</p>
        </>
    },
    {
        cssname: "april18", 
        node: <><h1>Team Meeting</h1>

        <h2>Team</h2>
        <p>A reminder was issued for everyone to complete the Attribution Form, which tracks contributions and participation. The document is available on Teams under General &gt; Documents &gt; Everything iGEM &gt; Attribution. Additionally, the iGEM Distribution Kit was opened to check available materials.</p>
        
        <h2>Jamboree & MeetUps</h2>
        <p>Plans for the European Meet-Up include creating a list of snacks with names, dates, types, and quantities to ensure adequate preparation.</p>
        
        <h2>Mechanism</h2>
        <p>Findings were presented, highlighting a proof of concept using an existing prime editing system to target the five most common mutations in cystic fibrosis (CF). Optimization efforts involve a modified Cas12a for higher specificity and a new enzyme called Fanzor, which requires engineering for precise cuts. A debate on targeting oocytes versus lungs was held, with plans for parallel work on both approaches and suggestions for efficient lab concept designs.</p>
        
        <h2>Delivery</h2>
        <p>Two main delivery possibilities were discussed: aerosolizing lipid nanoparticles (LNPs), which face stability issues and lung defense mechanisms, and intravenous delivery, which necessitates regular doctor visits due to the liver acting as a filter. Research on LNP production and cellular targeting, particularly of basal cells or erythrocytes, was also highlighted. The feasibility of a model system to ensure the drug's efficacy in reaching the target cells was considered advantageous.</p>
        
        <h2>Public Outreach</h2>
        <p>For the MukoMOVE initiative, plans to hang posters in Bielefeld include creating a map for designated responsibilities and ensuring they are removed the day after the event. Additionally, a flyer distribution plan was proposed, involving three team members per day to distribute flyers in the cafeteria.</p>
        
        <h2>Sponsoring</h2>
        <p>A table was created to organize participation for both the Hannover Fair and the Lab-Supply Fair, ensuring effective planning and resource allocation.</p>
        </>
    },
    {
        cssname: "april23", 
        node: <><h1>Team Meeting</h1>

        <h2>Mechanism</h2>
        <p>The focus is on prime editing using a fusion protein that combines Cas and RNA molecules, with plans to replace the Cas protein with the Fanzor protein. It is essential to determine the exact target and organize the necessary sequences, potentially requiring cloning. Attention must be paid to the development cycle, as this will be scrutinized by judges, particularly regarding the Wiki presentation.</p>
        
        <h2>Delivery</h2>
        <p>Discussions highlighted RNA as the cargo, with potential cell targets including ionocytes and club cells, as basal cells are too deep-seated. NLD1, which contains PEG for stability, faces transportation challenges due to its limited shelf life. Alternative delivery methods, such as Chitosan LNP and Atomic Force Microscopy, are being explored, with the company AIRinhale mentioned for collaboration.</p>
        
        <h2>Human Practices</h2>
        <p>Judging in human practices will be rigorous; transparency and detailed documentation are crucial to win over judges. Interviews should include a diverse range of experts, and visual documentation, including photos, is essential to support the narrative. Additionally, there is a need to gather research on how other teams approach various sub-aspects of their projects.</p>
        
        <h2>Public Outreach</h2>
        <p>Restrictions for MUKOMove posters have been emphasized, with guidelines uploaded by Isa for adherence. Posters must include 40 stickers in the top right corner, and they cannot be displayed without them.</p>
        
        <h2>Urgent</h2>
        <p>Liliana is tasked with reaching out to individuals for video contributions regarding gene therapy for the upcoming European Conference of Cystic Fibrosis, scheduled for June 5th to 8th in Glasgow. There will be a special prize for efforts in human practices, outreach, and education, including opportunities for "eposters" and connecting with experts.</p>
        </>
    },
    {
        cssname: "april25", 
        node: <><h1>Team Meeting</h1>

        <h2>Urgent</h2>
        <p>The project description for the Promega project needs to be completed immediately. Kai will draft the description and share it on Teams for team members to review and provide feedback.</p>
        
        <h2>Organisation</h2>
        <p>The presentation on Monday will be prepared by Kim, Kai, Phillip, and Asal.</p>
        
        <h2>Mechanism</h2>
        <p>Plasmid and construct planning is an immediate priority, with the team pursuing three approaches: Cas9, Cas12, and Fanzor. Key components include Reverse Transcriptase, template DNA, and pegRNA, which must be carefully designed to ensure compatibility with the constructs. The Fanzor requires modification to act as a nickase, and the team will work to optimize the constructs to create smaller, more effective designs.</p>
        
        <h3>Proof of Concept</h3>
        <p>A plasmid with a CMV promoter will be ordered according to guidelines in a relevant paper, and a T7 promoter will be used for mRNA production. Testing will involve HEC/HELA cell lines to evaluate expression, with a focus on a control cell line lacking the CFTR gene. The constructs will be characterized over time, and a transfection marker will be included to assess repair functionality.</p>
        
        <h3>Task Distribution</h3>
        <p>Team members are assigned to various tasks: everyone will review the RFC10 standard, while the experimental workflow team will include Kai, Christian, and Liliana. Other tasks will focus on sequencing, linkers, and reverse transcriptase, with laboratory tasks such as pouring plates and making E. coli competent also prioritized.</p>
        
        <h2>Public Outreach</h2>
        <p>The MukoMOVE initiative is progressing, with the cafeteria covered and 21 posters hung around the Old Town. Remaining posters will be distributed soon.</p>
        
        <h2>Biosafety</h2>
        <p>Safety mechanisms discussed include a protein that degrades the linker using a reporter system (Toehold Switch), which activates only in the presence of the mRNA transcript. Additionally, a Na+ riboswitch will mask the guide sequence under low ion conditions, unfolding only when sufficient ions are present.</p>
        </>
    },
    {
        cssname: "april30", 
        node: <><h1>Team Meeting</h1>

        <h2>Organisation</h2>
        <p>The Steering Committee provided positive feedback on the project, emphasizing simplicity and the importance of small successes. There was discussion about the use of the Ussing chamber and a preference for the patch-clamp method for measuring ion channels. The committee encouraged more collaboration with the medical faculty and acknowledged contributions from Philip, Kim, and Christian.</p>
        
        <h2>Team</h2>
        <p>Kaya expressed concerns about missing meetings and proposed changes to the meeting structure to improve attendance. Kathleen highlighted the need for personal accountability, urging everyone to take more initiative. The Miro board was demonstrated for task assignments, and it was suggested that one person be responsible for sub-teams while Kaya will compile meeting minutes.</p>
        
        <h2>Jamboree & MeetUps</h2>
        <p>Currently, around 70 people are registered for the BFH meetup with about 10 teams participating, which will also be promoted on LinkedIn. Additionally, the iGEM Eindhoven Meetup is scheduled for October.</p>
        
        <h2>Mechanism</h2>
        <p>The current focus includes discussions on RNA, particularly riboswitches, while circular RNA topics are postponed. There is a need for a comprehensive concept that outlines Prime Editing improvements and explores the binding capabilities of toehold switches. The team plans to produce mRNA for delivery, packaging it into LNPs, with a detailed mRNA pathway established for effective cellular entry.</p>
        
        <h3>Specifics on Constructs</h3>
        <p>Plans involve using 600 Fanzor and 1600 Reverse Transcriptase (RT) for construct optimization. The Chimera software will be utilized to analyze amino acid sequences and review linkers, while PAM and TAM sequences will be researched by Kathleen for effective cut sites. Testing for Cas proteins will include determining which Cas12 to use, mutation integration, and conducting PCR for mutation testing.</p>
        
        <h2>Human Practices</h2>
        <p>Liliana reported that more individuals are available for interviews, with some preferring Zoom for video interactions. The team is encouraged to maintain flexibility in conducting interviews.</p>
        </>
    },
    {
        cssname: "may2", 
        node: <><h1>Team Meeting</h1>

        <h2>Urgent</h2>
        <p>The project name must be finalized by May 6th.</p>
        
        <h2>Team</h2>
        <p>Team organization is crucial; all members should belong to at least two or three teams, with a clear definition of special prize categories. Public Outreach and Human Practices will have separate teams, and individual team meetings should be organized by May 7th to discuss progress. Monthly Steering Committee meetings will occur, requiring each team to report updates on a single slide.</p>
        
        <p>The current project direction is promising, but there's a risk of becoming overly theoretical, delaying practical lab work. The goal is to transition from theory to practice quickly, focusing on generating a Prime Editing Complex (PEC) and demonstrating its functionality in a suitable model system. By breaking down goals into manageable stages, the team can aim for gold while also exploring opportunities for special prizes.</p>
        
        <h2>Mechanism</h2>
        <p>Philip will prepare a summary of the constructs and resources, including a YouTube video on Prime Editing experiments and ChimeraX exploration. Questions regarding the exportability of ChimeraX into 3D formats will be addressed. Finalization of the Biodiversity Pre-Deliverable and proceeding with plasmid orders are next steps.</p>
        
        <h2>Delivery</h2>
        <p>The team is in the final stages of completing the logo.</p>
        
        <h2>Human Practices</h2>
        <p>All external contacts should be documented in a Word file under Human Practices.</p>
        
        <h2>Public Outreach</h2>
        <p>The university will utilize sports sets for Mukomove, encouraging family and friends to promote the initiative.</p>
        
        <h2>Sponsoring</h2>
        <p>Assistance is urgently needed for sponsorship efforts.</p>
        </>
    },
    {
        cssname: "may7", 
        node: <><h1>Team Meeting</h1>

        <h2>Urgent</h2>
        <p>The team is currently behind the planned timeline for the lab activities.</p>
        
        <h2>Organisation</h2>
        <p>The Microsynth account has been approved and will be forwarded to the Sponsoring team. There will be no meeting this Thursday.</p>
        
        <h2>Team</h2>
        <p>The heads of teams have been established as follows: Kathleen for Public Outreach, Liliana for Wiki, Vera for Delivery, Philip for Mechanism, and Michael for Design. Sponsoring still needs a lead, possibly Isabell.</p>
        
        <h2>Jamboree & MeetUps</h2>
        <p>For the upcoming meet-up, several items are still needed: a scientific poster (Philip, Kim, Christian), T-shirts (Design team), a presentation (Philip, Kaya), stickers (30x30mm, Design team), a project title (max 15 words), and an abstract (150 words). Additionally, assistance is required for photography at the BFH, with Michael acting as the cameraman and needing more support.</p>
        
        <h2>Wet Lab</h2>
        <p>Discussion on cell culture responsibilities highlighted that Lisa and Kathleen have hands-on experience, while others will require guidance. Two groups will work with HEC and HELA, with scheduled sessions next week for familiarization with Benchling. The possibility of thawing HELA & HEK cells for practice was discussed, along with sourcing cells from Lukas and HNO for training purposes.</p>
        
        <h2>Mechanism</h2>
        <p>An update on purchased sequences was shared, indicating difficulties with Fanzor and plans to order Cas-9 endonuclease as a backup. Clarification is needed on whether to purchase plasmids with or without a reporter system, as well as the potential ordering of reverse transcriptase.</p>
        
        <h2>Human Practices</h2>
        <p>Questions for an upcoming interview with Prof. Weber are prepared, with the possibility of adding more. The Mechanism team will create additional slides, and Lisa will inquire about borrowing a camera and recording device for the interview.</p>
        
        <h2>Public Outreach</h2>
        <p>For MukoMove, Liliana will print the starting numbers, while Kaja will share this information on Teams, and Kaya will obtain safety pins for attachment.</p>
        
        <h2>Sponsoring</h2>
        <p>A meeting with Verena Kräutner is scheduled for Monday, where a draw will determine the sponsorship winner, with Lydia suggesting a time of 5:30 PM. Additionally, a meeting with Stemcell will follow up on the provision of medium.</p>
        
        <h2>Creativity</h2>
        <p>The team has chosen the name "<PreCyse/>" and is developing a logo, emphasizing simplicity and avoiding overly fine details or whimsical imagery. Feedback will be gathered on the proposed logos and name.</p>
        
        <h2>Wiki</h2>
        <p>There is a need for team members to write texts for the wiki, focusing on tasks outlined in the Wiki, Human Practices, and Design channels. The team should also agree on a citation style.</p>
        </>
    },
    {
        cssname: "may14", 
        node: <><h1>Team Meeting</h1>

        <h2>Organisation</h2>
        <p>There was a report regarding a Facebook page attributed to Friederike Lehle, prompting a discussion on whether it is genuine or spam. Additionally, the team received congratulations on the sponsorship from Promega GmbH, with the next steps outlined in the communication.</p>
        
        <h2>Jamboree & MeetUps</h2>
        <p>Discussions about the upcoming meet-up included responsibilities for handling milk alternatives and sugar. The team is also encouraged to ask friends for assistance with filming during the event.</p>
        
        <h2>Mechanism</h2>
        <p>The first plasmids have been ordered, including pMJ326 (Fanzor) and pCMV-PE2 (Standard Prime Editing). Remaining tasks include the ordering of a shortened RT plasmid, pegRNA acceptor plasmid, and screening plasmid. Malte and Kaya are working on pegRNA design, and there's a need to explore various peg integrations into the acceptor plasmid.</p>
        <p>Primer design is challenging due to inexperience, but the team aims to meet BioBrick standards once the vectors are available. Kai and Christian are selecting candidates for Fanzor mutations, and testing editing via GFP is planned, requiring adaptation of the plasmid for stable transfection into cells.</p>
        
        <h2>Human Practices</h2>
        <p>Details for the interview with Prof. Weber are under discussion, including presentation responsibilities and logistical arrangements. There is also a note on a patient interview request involving a young child with cystic fibrosis.</p>
        
        <h2>Sponsoring</h2>
        <p>A meeting with Stemcell is planned where the team must decide on the types and quantities of media needed as soon as possible.</p>
        
        <h2>Wiki</h2>
        <p>The wiki is expected to be online by May 22nd.</p>
        </>
    },
    {
        cssname: "", 
        node: <></>
    },
    {
        cssname: "", 
        node: <></>
    },
    {
        cssname: "", 
        node: <></>
    },
    {
        cssname: "", 
        node: <></>
    },
    {
        cssname: "", 
        node: <></>
    },
    {
        cssname: "", 
        node: <></>
    },
    {
        cssname: "", 
        node: <></>
    },
    {
        cssname: "", 
        node: <></>
    },
    {
        cssname: "", 
        node: <></>
    },
    {
        cssname: "", 
        node: <></>
    },

    
]


function parseDateFromCode(code: string): string  {
    const months: { [key: string]: number } = {
        january: 1,
        february: 2,
        march: 3,
        april: 4,
        may: 5,
        june: 6,
        july: 7,
        august: 8,
        september: 9,
        october: 10,
        november: 11,
        december: 12
    };

    // Regex to match the month and day (e.g., february2, march5, etc.)
    const regex = /^([a-zA-Z]+)(\d{1,2})$/;
    const match = code.toLowerCase().match(regex);

    if (match) {
        const monthStr = match[1];
        const day = parseInt(match[2], 10);

        const month = months[monthStr];
        if (month && day > 0 && day <= 31) {
            const year = 2024;
            // Format day and month with leading zeros
            const formattedDay = day.toString().padStart(2, '0');
            const formattedMonth = month.toString().padStart(2, '0');
            return `${formattedDay}.${formattedMonth}.${year}`;
        }
    }

    return "error"; // Return null if the code is invalid
}

