import { Certificate } from "../../../components/poster";
import {  H4, H5 } from "../../../components/Headings";
import { BlockQuoteB } from "../../../components/Quotes";

const haken = <span className="bfh-haken"> <big>&#x2713;</big> </span>; 
  

export function About(){
  return(
    <div>

      <BlockQuoteB text="This was the best meet up ever in the history of iGEM. Thank you so much!" cite="Nemanja Stijepovic"></BlockQuoteB>
      <H4 id="" text="Introduction"/>
      <p>This year, we hosted the first BFH European Meet-Up ever. Over the course of three full days, we embarked on a journey where minds met and ideas ignited. Our mission: </p>
      <p className="bfh-motto"><b>Ignite. Innovate. Inspire.</b></p>
      <p>This event was designed to unite the brightest minds from across Europe and beyond, providing a platform for sharing groundbreaking ideas and fostering international connections during the early stages of the iGEM competition. </p>
      <H4 text="About Our Cooperation"/>
      <p> The cooperation between Bielefeld, Frankfurt, and Hamburg is rooted in the friendships and networks formed during the iGEM competition 2023. Our mission is to promote future projects and bring teams together. By alternating the location of the BFH European Meet-Up each year, we aim to provide diverse networking opportunities and foster a strong sense of community among iGEM participants. </p>
      <H4 text="Head of BFH Committee"/>
      <div className="row">
      <div className="row align-items-center">
        <div className="col">

        </div>
        <div className="col">
          
          </div>
          <div className="col">
          
          </div>
      </div>
      <div className="row align-items-center">
        <div className="col">
          <p>Sinan Zimmermann</p>
          <p><i>Instructor of iGEM Bielefeld </i></p>
        </div>
        <div className="col">
          <p>Olivia Mozolewska</p>
          <p><i>Advisor of iGEM Frankfurt</i></p>
          </div>
          <div className="col">
            <p>Lisa Siemers</p>
            <p><i>Advisor of iGEM Hamburg  </i></p>
          </div>
      </div>
      </div>
      <H4 text="What Were Our Goals?"/> 
      <ul className="haken-liste">
        <li> {haken} Unite iGEM teams from across Europe and foster a sense of community and collaboration. </li>
        <li> {haken} Provide a platform for teams to present their projects and receive valuable feedback. </li>
        <li> {haken} Offer opportunities for participants to build their scientific and soft skills through workshops and presentations. </li>
        <li> {haken} Encourage networking and socializing among iGEM teams to build lasting relationships and expand scientific networks. </li>
        <li> {haken} Elaborate their team projects and reflect their decisions in early stage of time in cooperation with iGEM alumni and scientist from all around the globe </li>
      </ul>
      <H4 text="What Did the Participants Learn?"/>
      <ul className="haken-liste">
        <li> {haken} Gained insights into current research from Bielefeld University and nearby institutions through Scientific Talks. </li>
        <li> {haken} Learned from over 10 national and international speakers and experts from industry, academia, and the iGEM community</li>
        <li> {haken} Participated in hands-on Workshop Sessions led by leading experts, which contributed to the development of the next generation of ambitious researchers</li>
        <li> {haken} Engaged in Panel Discussions to puzzle over ideas, impressions, and the potential of multiple projects, fostering collaboration and networking</li>
      </ul>
      <H4 text="Sticker Collection Album: Connect and Collect!"/>
      <p>We are excited to introduce the first official BFH iGEM Sticker Collection Album of 2024! Over the past few years, iGEM teams from around the world have started exchanging funny memes, logos, mascots, and contact information via stickers. Recognizing this creative trend, we've established the first-ever iGEM Teams Sticker Album to enhance social networking among participants during the Grand Jamboree and beyond. </p>
      <p>Do you want to join the biggest social networking event, collect all stickers, and win special prizes? Sign up and get ready to catch 'em all! To participate, submit your project title and abstract, and design a unique sticker that represents your team. These stickers will be exchanged at the Grand Jamboree in Paris. Once you've collected all the stickers from participating teams, send a picture of your completed album to the iGEM Bielefeld headquarters for a chance to win special prizes. </p>
      <p> This album isn't just for the Grand Jamboree – you can also collect stickers from non-participating teams on the backside of the album. Let's connect, share, and make memories together! </p>
      <H4 text="Awards and Winners of the BFH Competition "/>
      <p>The event culminated in an Awards Ceremony celebrating excellence in creativity, teamwork, and innovation. Our judges, using their experience from past iGEM years, evaluated the teams' performances. The heartfelt winner, recognized for their outstanding contribution and spirit, was the team that truly embodied the values of the iGEM community. </p>
      <H5 text="Best Presentation"/>
      {/* https://static.igem.wiki/teams/5247/design/icons/first-place.svg */}
      <div className="small-row winners">
        <div className="col-1">
          <img className="winner-img" src="https://static.igem.wiki/teams/5247/design/icons/first-place.svg "/>
        </div>
        <div className="col-4">
          <p className="winner">iGEM Aachen</p>
        </div>
        <div className="col">
          <ul className="haken-liste">
            <li className="trophy"><span>Trophy</span></li>
            <li className="certificate"><span> Certificate</span></li>
            <li className="tickets"> <span>2 Tickets for SynBio Reactor Conference provided by GASB</span></li>
          </ul>
        </div>
      </div>
      <div className="small-row winners">
        <div className="col-1">
          <img className="winner-img" src="https://static.igem.wiki/teams/5247/design/icons/second-place.svg "/>
        </div>
        <div className="col-4">
          <p className="winner">iGEM Marburg</p>
        </div>
        <div className="col">
          <ul className="haken-liste">
            <li className="certificate"><span> Certificate</span></li>
            <li className="money"> <span>$500 USD provided by Zymo Research</span></li>
          </ul>
        </div>
      </div>
      <div className="small-row winners">
        <div className="col-1">
          <img className="winner-img" src="https://static.igem.wiki/teams/5247/design/icons/third-place.svg "/>
        </div>
        <div className="col-4">
          <p className="winner">iGEM GU-Frankfurt</p>
        </div>
        <div className="col">
          <ul className="haken-liste">
            <li className="certificate"><span> Certificate</span></li>
            <li className="money"> <span>$250 USD provided by Jena Bioscience</span></li>
          </ul>
        </div>
      </div>
      <br/>
      <H5 text="Best Poster Exhibition Booth"/>
      <div className="small-row winners">
        <div className="col-1">
          <img className="winner-img" src="https://static.igem.wiki/teams/5247/design/icons/first-place.svg "/>
        </div>
        <div className="col-4">
          <p className="winner">iGEM Freiburg </p>
        </div>
        <div className="col">
          <ul className="haken-liste">
            <li className="trophy"><span>Trophy</span></li>
            <li className="certificate"><span> Certificate</span></li>
            <li className="tickets"> <span>2 Tickets for SynBio Reactor Conference provided by GASB</span></li>
          </ul>
        </div>
      </div>
      <div className="small-row winners">
        <div className="col-1">
          <img className="winner-img" src="https://static.igem.wiki/teams/5247/design/icons/second-place.svg "/>
        </div>
        <div className="col-4">
          <p className="winner">iGEM GU-Frankfurt</p>
        </div>
        <div className="col">
          <ul className="haken-liste">
            <li className="certificate"><span> Certificate</span></li>
            <li className="kit"> <span>Plasmid Isolation Kits provided by Machery Nagel</span></li>
          </ul>
        </div>
      </div>
      <div className="small-row winners">
        <div className="col-1">
          <img className="winner-img" src="https://static.igem.wiki/teams/5247/design/icons/third-place.svg "/>
        </div>
        <div className="col-4">
          <p className="winner">iGEM WageningenUR </p>
        </div>
        <div className="col">
          <ul className="haken-liste">
            <li className="certificate"><span> Certificate</span></li>
            <li className="kit"><span>Mini-Circle provided by PlasmidFactory</span></li>
          </ul>
        </div>
      </div>
      <div className="row">
          <Certificate url="https://static.igem.wiki/teams/5247/photos/meetup/certs/bfh-best-booth-bronze-wageningen.png" postername="boothbronze" />
          <Certificate url="https://static.igem.wiki/teams/5247/photos/meetup/certs/bfh-best-booth-silver-frankfurt.png" postername="boothsilver" />
          <Certificate url="https://static.igem.wiki/teams/5247/photos/meetup/certs/bfh-best-booth-gold-freiburg.png" postername="boothgold" />
      </div>
      <br/>
      <div className="row">
          <Certificate url="https://static.igem.wiki/teams/5247/photos/meetup/certs/bfh-best-presi-bronze-frankfurt.png" postername="presibronze" />
          <Certificate url="https://static.igem.wiki/teams/5247/photos/meetup/certs/bfh-best-presi-silver-margburg.png" postername="presisilver" />
          <Certificate url="https://static.igem.wiki/teams/5247/photos/meetup/certs/bfh-best-presi-gold-aachen.png" postername="presigold" />
      </div>
      <H4 text="What did we learn as organizers for the next few years?"/>
      <h3>Good planning is key</h3>
      <p>Starting early, clearly distributing tasks, and staying organized – that avoids chaos. We can now structure, coordinate, and manage the next meet-up in Frankfurt more efficiently and ahead of time. </p>
      <h3>Communication is everything</h3>
      <p>Regular team communication and clear agreements are essential to keep everyone on the same page. We’ve realized just how important socializing and networking really are within the iGEM community. </p>
      <h3>Stay flexible </h3>
      <p>Spontaneous changes happen – backup plans and quick decisions are a must. With our platform, we were able to better connect the teams. </p>
      <h3>Focus on the participants </h3>
      <p>Understanding participants' needs and offering a diverse program that resonates. We now know how much fun the exchange on both scientific and personal levels can be. </p>
      <h3>Feedback makes it better </h3>
      <p>Gathering feedback after the event and learning from it to make the next one even better. This will make the 2025 meet-up in Frankfurt even bigger and better! Thank you! </p>

      <H4 text="Feedback for our Event"/>

      <div className="row feedbackbfh">
        <div className="col b-lg">
          <div>
            <h5>Strengths</h5>
            <ul>
              <li>Well organised </li>
              <li>Helpful feedback from judges</li>
              <li>The diversity of the program points</li>
              <li>The vibe and the atmosphere</li>
              <li>Industry was present</li>
              <li>A friendly and helpful team</li>
              <li>Very professional moderation</li>
            </ul>
          </div>
        </div>
        <div className="col b-lo">
          <div>
            <h5>Weaknesses</h5>
            <ul>
              <li>Time management</li>
              <li>A little longer time buffer between different program parts</li>
              <li>Judging session and workshops were taking up way more time than expected due to speakers not caring about the time</li>
              <li>Only one panel discussion</li>
              <li>Mabey think about shortening the program per day a little</li>
              <li>No time for the Lab Olympics</li>
            </ul>
          </div>
        </div>
      </div>


      <H4 text="Acknowledgments"/>
      <p>The BFH Committee extends heartfelt thanks to: </p>
      <ul>
        <li>The <b>iGEM Team of the University of Bielefeld </b>for their invaluable support in organizing and executing this event. </li>
        <li>All the speakers, workshop leaders, and participants who contributed to making this Meet-Up a success. </li>
        <li>    The iGEM teams for their engagement, scientific excellence, and for making the event an unforgettable experience. </li>
        <li>Our Sponsors and Collaborators</li>
      </ul>
      <H4 text="Looking Forward to 2025 "/>
      <p>in 2025, we will welcome all European iGEM teams to our lovely university in Frankfurt City. This Meet-Up will prepare you for the Grand Jamboree in Paris. After established a brand and a platform, we are excited to announce our plans for the future: </p>
      <ul>
        <li>    <b>Expansion</b>: We are already planning the next, even larger event at the University of Frankfurt in 2025. This Meet-Up will be significantly bigger and more international. </li>
        <li>    <b>Preparation and Evaluation</b>: With more preparation time and intensive evaluation of our first event's success, we aim to bring BFH to Frankfurt, making it an event not to be missed. </li>
        <li>    <b>Collaboration between other Meet-Up organizers</b>: By supporting other iGEM teams planning to organize meet up in different locations around the globe, we fostering to enhance the potential and support organization with our experiences. </li>
      </ul>
      <H4 text="Conclusion"/>
      <p>The BFH European Meet-Up 2024 was a resounding success, uniting over 20 teams and 150 participants in a celebration of science, innovation, and collaboration. As we look forward to future events, we remain committed to our mission of igniting, innovating, and inspiring the next generation of scientists. Here's to many more great moments and an unforgettable time for every participant – cheers! </p>
      <div className="small-row">
        <div className="col right">
          <a href="https://bfheuropeanmeetup.mobirisesite.com/page6.html"><button className="tablinks btn1 Medical">Visit the Website</button></a>
        </div>
        <div className="col button-left">
          <a href="https://www.instagram.com/bfh_euromeet/"><button className="left-button tablinks btn1 Medical" >Stay in Touch</button></a>
        </div>
      </div>
    </div>
  )
}

