import { Section } from "../../components/sections"
import { useTabNavigation } from "../../utils/TabNavigation";

export function HPAbstract(){
    useTabNavigation();
    return(
        <Section title="Abstract" id="Abstract">
            <p>As the iGEM Bielefeld-CeBiTec team, we adopted a human-centered approach and delivered an extensive framework of <strong>eight reglementations</strong> for future iGEM teams, establishing <strong>eight frameworks</strong> that were validated through our project. Our methodology was shaped by over <strong>80 interviews with stakeholders and institutions</strong> , creating a comprehensive and multidimensional perspective on the complex challenge of gene therapy for cystic fibrosis (CF). Through <strong>33 key interviews</strong> , we navigated <strong>seven thematic areas</strong>  simultaneously, incorporating <strong>five iterative feedback loops</strong>  to ensure the project’s refinement at every stage.
            </p>
            <p> Our approach offers future iGEM teams and the synthetic biology community a valuable blueprint for responsible and ethical project development. By actively engaging with CF patients, clinicians, researchers, and regulatory bodies, we ensured that real-world needs and societal values were central to our project's evolution. Our efforts culminated in a thoughtful, scientifically sound solution, setting new standards for accessibility, patient focus, and regulatory compliance. Future teams can leverage our documented methodologies to further their own impact, ensuring that innovation remains aligned with the needs of those it serves.
            </p>

        </Section>
    )
}