import { useEffect } from "react";
import { BackUp } from "../components/Buttons";
import { H2 } from "../components/Headings";
import { BlockQuoteB } from "../components/Quotes";

export function Attributions() {
  const teamID = import.meta.env.VITE_TEAM_ID;

  useEffect(() => {
    function listenToIframeHeight(e: MessageEvent) {
      if (e.origin === "https://teams.igem.org") {
        const { type, data } = JSON.parse(e.data);
        if (type === "igem-attribution-form") {
          const element = document.getElementById("igem-attribution-form");
          if (element) {
            element.style.height = `${data + 100}px`;
          }
        }
      }
    }
    window.addEventListener("message", listenToIframeHeight);
    return () => {
      window.removeEventListener("message", listenToIframeHeight);
    };
  }, []);

  return (
    <>
      <div className="row mt-4">
        <div className="col">
         <H2 text="One iGEM project - Million people behind"/>
         <BlockQuoteB text="With a lot of responsibility comes a bigger workload and even more people working together" cite="former iGEMer"/>
        <p>We would like to thank everyone who supported our team and provided assistance, resources or useful tips in order to fulfill our project.</p>
        <p>The following overview lists all team members, who have been instrumental in our iGEM project. We are proud of our work and look forward to what awaits us after the iGEM competition.</p>
        <p>We would like to thank our principal investigators, instructor and supervisors for guiding us along the way and helping to shape our project.</p>
        <p>We contributed all external partners that have influenced the project below. We would like to thank all iGEM teams, former iGEM team members of the university of Bielefeld or external team members, contractors, technicians, laboratory students, post-docs and collaborators for their support in any form. </p>
        <p>We would also like to thank our sponsors, who have supported us with their generous donations. First and foremost, Bielefeld University, and particularly Prof. Dr. Alfred Pühler, who revived iGEM and allows us to participate in this year's competition. Additionally, we are thankful for the support and feedback of the steering committee.</p>
        <p>In addition to cooperation and collaborative work, time management focuses on efficient operation of every iGEM project. The following list of our project timeline serves as an orientation and gives an overview of the temporal staggering of the project. We would like to thank all participants for the coordination of our activities</p>

        </div>
        <br/>
      </div>
      <iframe
        style={{ width: "100%" }}
        id="igem-attribution-form"
        src={`https://teams.igem.org/wiki/${teamID}/attributions`}
      />
      <BackUp/> 
    </>
  );
}
